Redmine - Defect #19405

Setting config.logger.level in additional_environment.rb has no effect
2015-03-17 11:07 - Scott Macpherson

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version: 3.0.2

Resolution: Fixed Affected version: 3.0.1
Description

Since version 3.0.0 my production log files contain INFO messages and higher, despite setting a Logger level of ::WARN in
additional_environment.rb.

Using the advice provided in Redminelnstall my config/additional_environment.rb contains the following two lines:

config.logger = Logger.new(Rails.root.join("log",Rails.env + ".log"),3,5*1024*1024)
config.logger.level = Logger::WARN

Environment:

Redmine version 3.0.1.stable

Ruby version 2.2.1-p85 (2015-02-26) [x86_64-1linux]
Rails version 4.2.0

Environment production

Database adapter PostgreSQL

Associated revisions

Revision 14155 - 2015-03-22 10:26 - Jean-Philippe Lang

Fixed that setting config.logger.level in additional_environment.rb has no effect (#19405).

Revision 14205 - 2015-04-25 09:34 - Jean-Philippe Lang
Merged r14155 (#19405).

History

#1 - 2015-03-22 09:54 - Jean-Philippe Lang
- Category changed from Ruby support to Rails support
- Status changed from New to Confirmed

- Target version set to 3.0.2

Yes, this is due to r13899. The level set in environments/production.rb takes precedence over config/application.rb and thus
additional_environment.rb. As a workaround, you can set it environments/production.rb.

#2 - 2015-03-22 10:27 - Jean-Philippe Lang

- Subject changed from config.logger.level in additional_environment.rb has no effect to Setting config.logger.level in additional_environment.rb has no
effect

- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14155.

#3 - 2015-04-25 09:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Logging-configuration
